import 'package:flutter/material.dart';

ThemeData get defaultTheme {
  return ThemeData(
    fontFamily: 'UbuntuSansMono',
    colorScheme: ColorScheme.fromSeed(
      seedColor: Colors.amber,
      brightness: Brightness.light,
    ),
    textTheme: _defaultTextTheme,
  );
}

ThemeData get defaultDarkTheme {
  return ThemeData(
    fontFamily: 'UbuntuSansMono',
    colorScheme: ColorScheme.fromSeed(
      seedColor: Colors.lightGreen,
      brightness: Brightness.dark,
    ),
    textTheme: _defaultTextTheme,
  );
}

TextTheme get _defaultTextTheme => TextTheme(
      titleLarge: TextStyle(
        fontWeight: FontWeight.w800,
      ),
      titleMedium: TextStyle(
        fontWeight: FontWeight.w800,
      ),
      titleSmall: TextStyle(
        fontWeight: FontWeight.w800,
      ),
    );
